View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013968ParaView(No Category)public2013-03-25 10:572013-05-18 20:00
ReporterAlan Scott 
Assigned ToSebastien Jourdain 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target VersionFixed in Version4.0 
Summary0013968: ParaView crashes creating vtkMPIImageReader when reading raw data files on serial builds
DescriptionThere is a bug in ParView, local client, MPI turned off, where ParaView is trying to read raw data with the MPI based vtkMPIImageReader. This is a bug. Should replicate with any raw data, but I replicated it with volums_ex.out (knox).

I am replicating this bug on a local build of ParaView, Master or 3.98.1, PARAVIEW_USE_MPI set to off, Linux, local server.

Here is a thread between Utkarsh and me:


Yup, that;s bug. I am guessing in that happened somewhere during the movement of classes for modularization in one way or the other. Can you report a bug please? I'll have it fixed.

Utkarsh

> So, assuming that we shouldn't have a reader called vtkMPIImageReader in a non MPI build, why do I find the following in readers.xml? Is this setting up for remote server, or is it a bug? I don't find another ImageReader in this file.
>
> <SourceProxy class="vtkMPIImageReader"
> label="Image Reader"
> name="ImageReader">
> ...
> <!-- End ImageReader -->
> </SourceProxy>
>
> Thanks,
>
> Alan
>
>
>
> On Fri, Mar 22, 2013 at 8:24 PM, Scott, W Alan <wascott@sandia.gov> wrote:
>> I have a build of ParaView (both 3.98.1 and master) that is failing
>> when trying to read raw data files. The Kitware binaries
>> successfully read this raw data. The error message is as follows:
>>
>> ERROR: In
>> ..../src/ParaView3/ParaViewCore/ServerImplementation/Core/vtkSIProxy.
>> c
>> xx
>> , line
>> 307
>> vtkSISourceProxy (0x17bc94a0): Failed to create vtkMPIImageReader.
>> Aborting for debugging purposes.
>>
>> Anyone have any ideas?
>>
>> Thanks all!
>>
>> Alan
>>
>>
TagsNo tags attached.
ProjectSandia
Topic Name13968-disable-invalid-proxy-when-mpi-off
Typecrash
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0030472)
Alan Scott (manager)
2013-03-25 10:58

The sooner this one gets fixed the better. I will then test.

Thanks
(0030558)
Utkarsh Ayachit (administrator)
2013-04-12 12:08

reopening to fix documentation generation related issues.
(0030675)
Utkarsh Ayachit (administrator)
2013-05-02 09:55

SUMMARY
---------------------------------------------
Topics merged into master:
        0013923-Move-DataAnalysis-Toolbar
        12412_enable_pass_data_MaterialInterfaceFilter
        13343_fix_time_serie_visit_readers
        13968-disable-invalid-proxy-when-mpi-off
(VTK) 13984_64bit_headers_for_xml_writers
        clean_coprocessing_python
        fix_collaboration_import
(VTK) nudge-vtk
        panel_cleanups
        perlin-noise
        scalarbar_from_vtk


---------------------------------------------
(0030721)
Alan Scott (manager)
2013-05-07 21:09

I am pretty sure this is fixed. I am having issues testing. If I need, I will reopen.

Tested master, Linux, local server.

- Issue History
Date Modified Username Field Change
2013-03-25 10:57 Alan Scott New Issue
2013-03-25 10:58 Alan Scott Note Added: 0030472
2013-03-25 10:58 Alan Scott Status backlog => todo
2013-04-10 08:30 Utkarsh Ayachit Assigned To => Sebastien Jourdain
2013-04-10 09:09 Sebastien Jourdain Status todo => active development
2013-04-10 14:19 Sebastien Jourdain Topic Name => 13968-disable-invalid-proxy-when-mpi-off
2013-04-10 14:19 Sebastien Jourdain Status active development => gatekeeper review
2013-04-10 14:19 Sebastien Jourdain Resolution open => fixed
2013-04-12 12:08 Utkarsh Ayachit Note Added: 0030558
2013-04-12 12:08 Utkarsh Ayachit Status gatekeeper review => backlog
2013-04-12 12:08 Utkarsh Ayachit Resolution fixed => reopened
2013-04-30 09:55 Sebastien Jourdain Assigned To Sebastien Jourdain => Utkarsh Ayachit
2013-04-30 09:58 Sebastien Jourdain Assigned To Utkarsh Ayachit => Sebastien Jourdain
2013-04-30 11:18 Sebastien Jourdain Status backlog => gatekeeper review
2013-04-30 11:18 Sebastien Jourdain Resolution reopened => fixed
2013-05-02 09:55 Utkarsh Ayachit Fixed in Version => git-master
2013-05-02 09:55 Utkarsh Ayachit Status gatekeeper review => backlog
2013-05-02 09:55 Utkarsh Ayachit Note Added: 0030675
2013-05-02 11:22 Utkarsh Ayachit Status backlog => gatekeeper review
2013-05-02 11:22 Utkarsh Ayachit Status gatekeeper review => customer review
2013-05-07 21:09 Alan Scott Note Added: 0030721
2013-05-07 21:09 Alan Scott Status customer review => closed
2013-05-18 20:00 Utkarsh Ayachit Fixed in Version git-master => 4.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker